summaryrefslogtreecommitdiffstats
path: root/scripts/ios/travisbuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/ios/travisbuild.sh')
-rw-r--r--scripts/ios/travisbuild.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/scripts/ios/travisbuild.sh b/scripts/ios/travisbuild.sh
new file mode 100644
index 000000000..960c36b18
--- /dev/null
+++ b/scripts/ios/travisbuild.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -x
+set -e
+
+# this gets executed by Travis when building for iOS
+# it gets started from inside the subsurface directory
+
+GITVERSION=$(git describe --abbrev=12 | sed -e 's/-g.*$// ; s/^v//')
+VERSION=$(echo $GITVERSION | sed -e 's/-/./')
+
+echo "preparing dependencies for Subsurface-mobile ${VERSION} for iOS"
+
+cd packaging/ios
+bash -x build.sh
+
+echo "now it's time to build Subsurface-mobile ${VERSION} for iOS"
+
+cd build-Subsurface-mobile-*for_iOS-Release
+
+sed -i.bak 's/-Wall/-Wno-everything/' Makefile
+
+make -j4
+
+# we don't even attempt to create an ipa on Travis